//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	using AForge.Video;
	using AForge.Video.DirectShow;
    
    
	public partial class Screen1 
    {
		private FilterInfoCollection VideoCaptureDevices;
		private VideoCaptureDevice FinalVideoSource;
		
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{
			VideoCaptureDevices = new FilterInfoCollection(FilterCategory.VideoInputDevice);
			
			foreach (FilterInfo VideoCaptureDevice in VideoCaptureDevices)
				{
				ComboBox1.Items.Add(VideoCaptureDevice.Name);
				}
			ComboBox1.SelectedIndex = 0;
			}
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			FinalVideoSource = new VideoCaptureDevice(VideoCaptureDevices[ComboBox1.SelectedIndex].MonikerString);	
			FinalVideoSource.NewFrame += new NewFrameEventHandler(FinalVideoSource_NewFrame);
			FinalVideoSource.Start();
		}	
		void FinalVideoSource_NewFrame(object sender, NewFrameEventArgs EventArgs)	
		{
			Bitmap image = (Bitmap)EventArgs.Frame.Clone();
			PictureBox1.Image = image;
		}
		
		void Screen1_Closed(System.Object sender, System.EventArgs e)
		{
			if(FinalVideoSource.IsRunning)
				{
				FinalVideoSource.Stop();
				}
		}
		
		
		
			
		
    }
}
